# PROG2900

## Dependencies
### Python
To run the server...

### Dart & Flutter


### Database
This project requires SQLite3. Download the precompiled binary for your operating system. 
Precompiled binaries can be found on https://www.sqlite.org/download.html. Extract the downloaded
binary in a folder and note its path. Add the path to your system environment variables. Now you can 
manage the SQLite database.

## Adding new maps
The current server only contains the data for a single lake, Mjøsa. To add more lakes 
go to https://overpass-turbo.eu/. Once you have navigated to Overpass API, enter
the Overpass query below in the left field, but swap 'lakeName' out
with the name of the lake you want to add. Once the query has been adjusted,
press the 'Run' button.

```
[out:json];
(
  way["natural"="water"]["name"="lakeName"];
  relation["natural"="water"]["name"="lakeName"];
);
(._;>;);
out body;
```
If a text box saying "This query returned quite a lot of data (approx. x MB). Your browser may have a hard time trying to render this. Do you really want to continue?
" appears, press 'continue anyway'. Double check that you have
the correct lake, then press 'Export'. In the 'Export' menu, download the shape data as
GeoJson. Once downloaded, name the file the *lakeName.json, and move the file into
IceMap/server/lake_relations. Once you have added the file, run map division...

## Endpoints

## Bugs

## Developers
